%define upstream_name    DateTime-Format-Oracle
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Parse and format Oracle dates and timestamps
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Convert::NLS_DATE_FORMAT)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Builder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module may be used to convert Oracle date and timestamp values into
'DateTime' objects. It also can take a 'DateTime' object and produce a date
string matching the 'NLS_DATE_FORMAT'.

Oracle has flexible date formatting via its 'NLS_DATE_FORMAT' session
variable. Date values will be returned from Oracle according to the current
value of that variable. Date values going into Oracle must also match the
current setting of 'NLS_DATE_FORMAT'.

Timestamp values will match either the 'NLS_TIMESTAMP_FORMAT' or
'NLS_TIMESTAMP_TZ_FORMAT' session variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.60.0-5.mga10
+ Revision: 2203559
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.60.0-4.mga9
+ Revision: 1808754
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-3.mga8
+ Revision: 1503790
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.60.0-2.mga7
+ Revision: 1282650
- Mageia 7 Mass Rebuild

* Mon Oct 30 2017 guillomovitch <guillomovitch> 0.60.0-1.mga7
+ Revision: 1174915
- imported package perl-DateTime-Format-Oracle


* Fri Oct 27 2017 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
